Bug 33388 - rpmfind --upgrade fails with broken piperpmfind
Summary: rpmfind --upgrade fails with broken piperpmfind
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpmfind   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Veillard
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-27 13:58 UTC by David Lawrence
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-30 16:38:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace of RHL7.0 broken pipe (661.48 KB, text/plain)
2001-03-27 13:59 UTC, Derek Tattersall
no flags Details

Description Derek Tattersall 2001-03-27 13:58:24 UTC
rpmfind 1.6-5.7x fails with a broken pipe error on RHL7.0 intel.
An strace is attached

Comment 1 Derek Tattersall 2001-03-27 13:59:31 UTC
Created attachment 13824 [details]
strace of RHL7.0 broken pipe

Comment 2 Daniel Veillard 2001-05-14 16:59:37 UTC
Hum, might be a bug in the libxml HTTP code, the client opens
a socket to one of the RDF servers (in this case the broken one at
asterix.crl.dec.com), but the server kills the connection before
the client has a chance to send the HTTP GET request.
this is an unfrequent server brokenness mishandled by libxml nanohttp
module :-\

I will try to fix it,

Daniel

Comment 3 Daniel Veillard 2001-07-25 17:43:14 UTC
The new version 1.7 will link by default with libxml2 instead of libxml,
the HTTP code of libxml2 received a number of patches, I hope this will
improve the quality of the HTTP implementation.
I also removed asterix.crl.dec.com from the list of metadata servers exported
from rpmfind.net, I hope that both changes will actually fix the problem.

Daniel


Note You need to log in before you can comment on or make changes to this bug.